Name:           doctest
Version:        2.4.12
Release:        %mkrel 1
Summary:        Feature-rich header-only C++ testing framework
License:        MIT
Group:          Development/C++
URL:            https://github.com/doctest/doctest
Source0:        https://github.com/doctest/doctest/archive/v%{version}/%{name}-%{version}.tar.gz
# Header-only packages
BuildArch:      noarch

BuildRequires:  cmake
BuildRequires:  git-core

%description
A fast (both in compile times and runtime) C++ testing framework, with the
ability to write tests directly along production source (or in their own
source, if you prefer).

%package devel
Summary:        Development files for %{name}
Group:          Development/C++
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}%{?_isa} = %{version}-%{release}
Requires:       libstdc++-devel

%description devel
Development files for %{name}.

%prep
%autosetup -p1

%build
%cmake \
  -DDOCTEST_WITH_MAIN_IN_STATIC_LIB:BOOL=OFF \
  -DDOCTEST_WITH_TESTS:BOOL=ON \
  -DCMAKE_INSTALL_LIBDIR=%{_datadir}
%cmake_build

%check
%ctest

%install
%cmake_install

%files devel
%doc README.md CHANGELOG.md CONTRIBUTING.md
%license LICENSE.txt
%{_includedir}/%{name}/
%{_datadir}/cmake/%{name}/


%changelog
* Sun Jul 13 2025 daviddavid <daviddavid> 2.4.12-1.mga10
+ Revision: 2253824
- new version: 2.4.12
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Mon Oct 09 2023 daviddavid <daviddavid> 2.4.11-2.mga10
+ Revision: 1993831
- make it noarch as a "header-only" package
- new version: 2.4.11

* Sun Jun 19 2022 wally <wally> 2.4.9-1.mga9
+ Revision: 1865125
- new version 2.4.9

* Fri Apr 15 2022 joequant <joequant> 2.4.8-1.mga9
+ Revision: 1850266
- imported package doctest

